classification
Title: NotImplemented is used instead of NotImplementedError in docs
Type: Stage: resolved
Components: Documentation Versions: Python 3.9, Python 3.8, Python 3.7, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: brett.cannon, dheiberg, docs@python, miss-islington, serhiy.storchaka
Priority: normal Keywords: easy, newcomer friendly, patch

Created on 2019-07-31 12:29 by serhiy.storchaka, last changed 2019-08-05 09:20 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 15062 merged dheiberg, 2019-07-31 22:10
PR 15063 merged miss-islington, 2019-07-31 22:50
PR 15106 merged serhiy.storchaka, 2019-08-04 13:48
PR 15133 merged dheiberg, 2019-08-05 09:06
Messages (9)
msg348801 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-07-31 12:29
In some places in the documentation NotImplemented is used instead of correct NotImplementedError.

All occurrences of NotImplemented should be manually checked and wrong spelling should be corrected.
msg348802 - (view) Author: David Heiberg (dheiberg) * Date: 2019-07-31 12:54
I'm happy to take a look at this, I found one example here: https://docs.python.org/3/library/winreg.html#winreg.DisableReflectionKey

How would I go about submitting a patch for all of the docs across the versions? Would I apply the patch to the relevant branches and submit a PR for each? Still fairly new to this, thanks for any pointers!
msg348803 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-07-31 13:23
Create a PR for master. When it be merged it can be backported automatically to other branches. Sometimes it may require manually backporting, but changes should be merged to master first.
msg348805 - (view) Author: David Heiberg (dheiberg) * Date: 2019-07-31 13:44
Super, thanks for the help, I'll submit a PR as soon as it is ready
msg348827 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-07-31 22:50
New changeset ed5e8e06cbf766e89d6c58a882ee024abb5b2ed7 by Serhiy Storchaka (David H) in branch 'master':
bpo-37730: Fix usage of NotImplemented instead of NotImplementedError in docs. (GH-15062)
https://github.com/python/cpython/commit/ed5e8e06cbf766e89d6c58a882ee024abb5b2ed7
msg348984 - (view) Author: miss-islington (miss-islington) Date: 2019-08-04 13:43
New changeset dd5f8abb54923bf2efea51b7a553ca1fca9cad68 by Miss Islington (bot) in branch '3.8':
bpo-37730: Fix usage of NotImplemented instead of NotImplementedError in docs. (GH-15062)
https://github.com/python/cpython/commit/dd5f8abb54923bf2efea51b7a553ca1fca9cad68
msg348985 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-08-04 14:06
New changeset 8cd630578451a062dcf46fbb21274520ae36c399 by Serhiy Storchaka in branch '3.7':
[3.7] bpo-37730: Fix usage of NotImplemented instead of NotImplementedError in docs. (GH-15062). (GH-15106)
https://github.com/python/cpython/commit/8cd630578451a062dcf46fbb21274520ae36c399
msg349038 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-08-05 09:19
New changeset 35f9bccd8198330579ecb4b4c503062f8b5da130 by Serhiy Storchaka (David H) in branch '2.7':
[2.7] bpo-37730: Fix usage of NotImplemented instead of NotImplementedError in docs. (GH-15062). (GH-15133)
https://github.com/python/cpython/commit/35f9bccd8198330579ecb4b4c503062f8b5da130
msg349039 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-08-05 09:20
Thank you for your contribution David!
History
Date User Action Args
2019-08-05 09:20:17serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg349039

stage: patch review -> resolved
2019-08-05 09:19:32serhiy.storchakasetmessages: + msg349038
2019-08-05 09:06:17dheibergsetpull_requests: + pull_request14872
2019-08-04 14:06:58serhiy.storchakasetmessages: + msg348985
2019-08-04 13:48:09serhiy.storchakasetpull_requests: + pull_request14848
2019-08-04 13:43:39miss-islingtonsetnosy: + miss-islington
messages: + msg348984
2019-07-31 22:50:13miss-islingtonsetpull_requests: + pull_request14812
2019-07-31 22:50:02serhiy.storchakasetmessages: + msg348827
2019-07-31 22:10:32dheibergsetkeywords: + patch
stage: patch review
pull_requests: + pull_request14811
2019-07-31 16:59:50brett.cannonsetnosy: + brett.cannon
2019-07-31 13:44:48dheibergsetmessages: + msg348805
2019-07-31 13:23:53serhiy.storchakasetmessages: + msg348803
2019-07-31 12:54:08dheibergsetnosy: + dheiberg
messages: + msg348802
2019-07-31 12:29:20serhiy.storchakacreate